Name: wiiuse
Version: 0.12
Release: 5%{?dist}
Group: Development/Libraries
Summary: The wiiuse library is used to access and control multiple Nintendo Wiimotes
License: GPLv3+
URL: http://www.wiiuse.net/
Source: http://downloads.sourceforge.net/project/wiiuse/wiiuse/v%{version}/wiiuse_v%{version}_src.tar.gz

Patch01: wiiuse_zero_addr_012.patch
Patch02: wiiuse_fix_soname.patch
Patch03: wiiuse_cflags.patch

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: bluez-libs-devel
BuildRequires: mesa-libGL-devel
BuildRequires: freeglut-devel
BuildRequires: SDL-devel
BuildRequires: dos2unix

%description
A library that implements access to wiiremote controllers via bluetooth.

%package devel
Group: Development/Libraries
Summary: Developer tools for the wiiuse library
Requires: wiiuse = %{version}-%{release}

%description devel
Header files needed to develop programs that link against the wiiuse library.

%package examples
Group: Development/Libraries
Summary: Example programs for the wiiuse library
Requires: wiiuse = %{version}-%{release}

%description examples
Example programs to test accessing wiiremote controllers

%prep
%setup -q -n wiiuse_v%{version}

%patch01 -p1 -b .zero_addr
%patch02 -p1 -b .fix_soname
%patch03 -p1 -b .cflags

#Convert all relevant files to unix charset
for i in CHANGELOG README LICENSE; do dos2unix $i; done
for i in example*/*; do dos2unix $i; done
for i in src/*; do dos2unix $i; done

%build
CFLAGS='%optflags' make

%install
rm -rf $RPM_BUILD_ROOT

# Can't use make install as it is a pathetic copy into fixed paths and won't
# work on x86_64

install -D -m 755 src/release*/libwiiuse.so $RPM_BUILD_ROOT%{_libdir}/libwiiuse.so.0
ln -s libwiiuse.so.0 $RPM_BUILD_ROOT%{_libdir}/libwiiuse.so
install -D -m 644 src/wiiuse.h $RPM_BUILD_ROOT%{_includedir}/wiiuse.h
install -D -m 755 example/release*/wiiuse-example $RPM_BUILD_ROOT%{_bindir}/wiiuse-example
install -D -m 755 example-sdl/release*/wiiuse-sdl $RPM_BUILD_ROOT%{_bindir}/wiiuse-sdl


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libwiiuse.so.0
%doc CHANGELOG README LICENSE

%files devel
%defattr(-,root,root,-)
%{_includedir}/wiiuse.h
%{_libdir}/libwiiuse.so

%files examples
%defattr(0755,root,root,0755)
%{_bindir}/wiiuse-example
%{_bindir}/wiiuse-sdl

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Simo Sorce <simo@fedoraproject.org> - 0.12-4
Import and first build

* Sun Jan 16 2011 Simo Sorce <simo@fedoraproject.org> - 0.12-3
Fix dependencies and summary.

* Sun Dec 12 2010 Simo Sorce <simo@fedoraproject.org> - 0.12-2
Rename to wiiuse following Fedora Packages guidelines
Fix License definition
Expand summary.

* Fri Nov 26 2010 Simo Sorce <simo@fedoraproject.org> - 0.12-1
Initial release
